DISALLOW_FILE_EDIT is defined. Your should also disallow PHP execution in GP Hooks.

Wanneer je file edits hebt uitgezet in WordPress, laten websites op basis van GeneratePress doorgaans de melding “DISALLOW_FILE_EDIT is defined. Your should also disallow PHP execution in GP Hooks.” zien. Hoewel dit eruit ziet als een error of fout, is het in de praktijk niet zo heel spannend.

Feitelijk is het GeneratePress dat aangeeft dat het vanuit haar eigen hooks nog gewoon mogelijk is om PHP code uit te voeren op plekken waar je dit waarschijnlijk liever niet wilt. Het is dus een waarschuwing die aangeeft dat de site niet zo veilig is als je zelf denkt.

De oplossing is echter zeer eenvoudig. Gewoon door de volgende code op te nemen in jouw wp-config.php.

define( 'GENERATE_HOOKS_DISALLOW_PHP', true );

Mocht dit niet de bedoeling zijn, kun je in wp-config.php ook de volgende code plaatsen om de melding simpelweg uit het zicht te houden.

add_action( 'after_setup_theme', 'tu_remove_hooks_php_check' );
function tu_remove_hooks_php_check() {
remove_action( 'admin_notices','generate_hooks_php_check' );
}

× Heb je hulp nodig?